Request bulk enabling voice on SIM cards.
This API triggers an asynchronous operation to enable voice on SIM cards belonging to a specified SIM Card Group.
For each SIM Card a SIM Card Action will be generated. The status of the SIM Card Actions can be followed through the List SIM Card Action API.
The overall status of the Bulk SIM Card Action can be followed through the List Bulk SIM Card Action API.
POST
/
sim_cards
/
actions
/
bulk_enable_voice
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.simCards.actions.bulkEnableVoice({
sim_card_group_id: '6b14e151-8493-4fa1-8664-1cc4e6d14158',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.sim_cards.actions.bulk_enable_voice(
sim_card_group_id="6b14e151-8493-4fa1-8664-1cc4e6d14158",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.SimCards.Actions.BulkEnableVoice(context.TODO(), telnyx.SimCardActionBulkEnableVoiceParams{
SimCardGroupID: "6b14e151-8493-4fa1-8664-1cc4e6d14158",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcards.actions.ActionBulkEnableVoiceParams;
import com.telnyx.sdk.models.simcards.actions.ActionBulkEnableVoiceResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionBulkEnableVoiceParams params = ActionBulkEnableVoiceParams.builder()
.simCardGroupId("6b14e151-8493-4fa1-8664-1cc4e6d14158")
.build();
ActionBulkEnableVoiceResponse response = client.simCards().actions().bulkEnableVoice(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.sim_cards.actions.bulk_enable_voice(sim_card_group_id: "6b14e151-8493-4fa1-8664-1cc4e6d14158")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->simCards->actions->bulkEnableVoice(
simCardGroupID: '6b14e151-8493-4fa1-8664-1cc4e6d14158'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions bulk-enable-voice \
--api-key 'My API Key' \
--sim-card-group-id 6b14e151-8493-4fa1-8664-1cc4e6d14158curl --request POST \
--url https://api.telnyx.com/v2/sim_cards/actions/bulk_enable_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sim_card_group_id": "6b14e151-8493-4fa1-8664-1cc4e6d14158"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "bulk_sim_card_action",
"action_type": "bulk_set_public_ips",
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"6b14e151-8493-4fa1-8664-1cc4e6d14158"
Response
Successful Response
This object represents a bulk SIM card action. It groups SIM card actions created through a bulk endpoint under a single resource for further lookup.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.simCards.actions.bulkEnableVoice({
sim_card_group_id: '6b14e151-8493-4fa1-8664-1cc4e6d14158',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.sim_cards.actions.bulk_enable_voice(
sim_card_group_id="6b14e151-8493-4fa1-8664-1cc4e6d14158",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.SimCards.Actions.BulkEnableVoice(context.TODO(), telnyx.SimCardActionBulkEnableVoiceParams{
SimCardGroupID: "6b14e151-8493-4fa1-8664-1cc4e6d14158",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcards.actions.ActionBulkEnableVoiceParams;
import com.telnyx.sdk.models.simcards.actions.ActionBulkEnableVoiceResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionBulkEnableVoiceParams params = ActionBulkEnableVoiceParams.builder()
.simCardGroupId("6b14e151-8493-4fa1-8664-1cc4e6d14158")
.build();
ActionBulkEnableVoiceResponse response = client.simCards().actions().bulkEnableVoice(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.sim_cards.actions.bulk_enable_voice(sim_card_group_id: "6b14e151-8493-4fa1-8664-1cc4e6d14158")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->simCards->actions->bulkEnableVoice(
simCardGroupID: '6b14e151-8493-4fa1-8664-1cc4e6d14158'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions bulk-enable-voice \
--api-key 'My API Key' \
--sim-card-group-id 6b14e151-8493-4fa1-8664-1cc4e6d14158curl --request POST \
--url https://api.telnyx.com/v2/sim_cards/actions/bulk_enable_voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sim_card_group_id": "6b14e151-8493-4fa1-8664-1cc4e6d14158"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "bulk_sim_card_action",
"action_type": "bulk_set_public_ips",
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}